confelli <-
function(b, C, df, level = 0.95, xlab = "", ylab = "", add=T, prec=51)

# Plot an ellipse with "covariance matrix" C, center b, and P-content
# level according the F(2,df) distribution.
# Sent to S-NEWS on May 19, 1999 by Roger Koenker 
# Department of Economics 
# University of Illinois 
# Champaign, IL 61820
# url: http://www.econ.uiuc.edu 
# email roger@ysidro.econ.uiuc.edu 
# vox: 217-333-4558 
# fax: 217-244-6678.
# Included in the ecmet package with his permission.
  
{
	d <- sqrt(diag(C))
	dfvec <- c(2, df)
	phase <- acos(C[1, 2]/(d[1] * d[2]))
	angles <- seq( - (PI), PI, len = prec)
	mult <- sqrt(dfvec[1] * qf(level, dfvec[1], dfvec[2]))
	xpts <- b[1] + d[1] * mult * cos(angles)
	ypts <- b[2] + d[2] * mult * cos(angles + phase)
	if(add) lines(xpts, ypts)
	else plot(xpts, ypts, type = "l", xlab = xlab, ylab = ylab)
}
