dlm.loconst <- function(y, kappasqr=1, priormean, priorvar)
{
  ##locally constant dynamic linear model for y
  lngth <- length(y)
  kappinv <-  1/kappasqr
  ##first initialize bvec and avec to their full length
  bvec <- vector(mode="numeric",length=lngth)
  avec <- vector(mode="numeric",length=lngth)
  avec[[1]] <- (priorvar+1)/(kappasqr+priorvar+1)
  bvec[[1]] <- avec[[1]]*y[[1]]+(1-avec[[1]])*priormean
  for (i in 2:lngth)
    {avec[[i]] <- (avec[[i-1]]+kappinv)/(avec[[i-1]]+kappinv+1);
     bvec[[i]] <- avec[[i]]*y[[i]]+(1-avec[[i]])*bvec[[i-1]];
   }
  ##For the computation of the one-step-ahead prediction mse
  ##note that y[-1] is vector y with first observation dropped
  ##and bvec[-lngth] is bvec with last component dropped
  ##value returned:
  list(coefficients=bvec,
       adaptive=avec,
       residuals=y-bvec,
       mse=sum((y[-1]-bvec[-lngth])^2)/(lngth-1),
       discount=1-sqrt(kappinv*(1+0.25*kappinv))+0.5*kappinv)
}
