> cps78 <- readSDML("http://www.econ.utah.edu/ehrbar/data/cps78.sdml")
> attach(cps78)
> ###Exercise 1a (2 points) in chapter V of Berndt, p. 194
> #Here is the arithmetic mean of hourly wages:
> mean(exp(lnwage))
[1] 6.062766
> #Here is the geometric mean of hourly wages:
> #(Berndt's instructions are apparently mis-formulated):
> exp(mean(lnwage))
[1] 5.370935
> #Geometric mean is lower than arithmetic, due to Jensen's inequality
> #if the year has 2000 hours, this gives an annual wage of
> 2000*exp(mean(lnwage))
[1] 10741.87
> #What are arithmetic mean and standard deviation of years of schooling
> #and years of potential experience?
> mean(ed)
[1] 12.53636
> sqrt(var(ed))
[1] 2.772087
> mean(ex)
[1] 18.71818
> sqrt(var(ex))
[1] 13.34653
> #experience has much higher standard deviation than education, not surprising.
> ##Exercise 1b (1 point) can be answered with the two commands
> table(race)
 Hisp Nonwh Other 
   36    57   457 
> table(race, gender)
       gender
race    Female Male
  Hisp      12   24
  Nonwh     28   29
  Other    167  290
> #Berndt also asked for the sample means of certain dummy variables;
> #This has no interest in its own right but was an intermediate
> #step in order to compute the numbers of cases as above.
> ##Exercise 1c (2 points) can be answered using tapply
> tapply(ed,gender,mean)
  Female     Male 
12.76329 12.39942 
> #now the standard deviation:
> sqrt(tapply(ed,gender,var))
  Female     Male 
2.220165 3.052312 
> #Women do not have less education than men; it is about equal,
> #but their standard deviation is smaller
> #Now the geometric mean of the wage rate:
> exp(tapply(lnwage,gender,mean))
  Female     Male 
4.316358 6.128320 
> #Now do the same with race
> ##Exercise 1d (4 points)
> detach()
> ##This used to be my old command:
> cps85 <- read.table("~/dpkg/ecmet/usr/share/ecmet/usr/lib/R/library/ecmet/data/cps85.txt", header=TRUE)
> #But this should work for everyone (perhaps only on linux):
> cps85 <- readSDML("http://www.econ.utah.edu/ehrbar/data/cps85.sdml")
> attach(cps85)
> mean(exp(lnwage))
[1] 9.023947
> sqrt(var(lnwage))
[1] 0.5277335
> exp(mean(lnwage))
[1] 7.83955
> 2000*exp(mean(lnwage))
[1] 15679.1
> 2000*exp(mean(lnwage))/1.649
[1] 9508.248
> #real wage has fallen
> tapply(exp(lnwage), gender, mean)
  Female     Male 
7.878743 9.994794 
> tapply(exp(lnwage), gender, mean)/1.649
  Female     Male 
4.777891 6.061125 
> #Compare that with 4.791237 6.830132 in 1979:
> #Male real wages dropped much more than female wages
> ##Exercise 1e (3 points)
> #using cps85
> w <- mean(lnwage); w
[1] 2.059181
> s <- sqrt(var(lnwage)); s
[1] 0.5277335
> lnwagef <- factor(cut(lnwage, breaks = w+s*c(-4,-2,-1,0,1,2,4)))
> table(lnwagef)
lnwagef
(-0.0518,1]    (1,1.53] (1.53,2.06] (2.06,2.59] (2.59,3.11] (3.11,4.17] 
          3          93         174         180          72          12 
> ks.test(lnwage, "pnorm")

	 One-sample Kolmogorov-Smirnov test 

data:  lnwage 
D = 0.8754, p-value = < 2.2e-16 
alternative hypothesis: two.sided 

> ks.test(lnwage, "pnorm", mean=w, sd =s)

	 One-sample Kolmogorov-Smirnov test 

data:  lnwage 
D = 0.0426, p-value = 0.2879 
alternative hypothesis: two.sided 

> #Normal distribution not rejected
> 
> #If we do the same thing with
> wage <- exp(lnwage)
> ks.test(wage, "pnorm", mean=mean(wage), sd =sqrt(var(wage)))

	 One-sample Kolmogorov-Smirnov test 

data:  wage 
D = 0.1235, p-value = 1.668e-07 
alternative hypothesis: two.sided 

> #This is highly significant, therefore normality rejected
> 

> #An alternative, simpler way to answer question 1e is by using qqnorm
> qqnorm(lnwage)
> qqnorm(exp(lnwage))
> #Note that the SAS proc univariate rejects that wage is normally distributed
> #but does not reject that lnwage is normally distributed.
> ###Exercise 2a (3 points), p. 196
> summary(lm(lnwage ~ ed, data = cps78))

Call:
lm(formula = lnwage ~ ed, data = cps78)

Residuals:
      Min        1Q    Median        3Q       Max 
-2.123168 -0.331368 -0.007296  0.319713  1.594445 

Coefficients:
            Estimate Std. Error t value Pr(>|t|)    
(Intercept) 1.030445   0.092704  11.115  < 2e-16 ***
ed          0.051894   0.007221   7.187 2.18e-12 ***
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.469 on 548 degrees of freedom
Multiple R-Squared: 0.08613,	Adjusted R-squared: 0.08447 
F-statistic: 51.65 on 1 and 548 degrees of freedom,	p-value: 2.181e-12 

> #One year of education increases wages by 5 percent, but low R^2.
> #Mincer (5.18) had 7 percent for 1959
> #Now we need a 95 percent confidence interval for this coefficient
> 0.051894 + 0.007221*qt(0.975, 548)
[1] 0.06607823
> 0.051894 - 0.007221*qt(0.975, 548)
[1] 0.03770977
> ##Exercise 2b (3 points):  Include union participation
> summary(lm(lnwage ~ union + ed, data=cps78))

Call:
lm(formula = lnwage ~ union + ed, data = cps78)

Residuals:
      Min        1Q    Median        3Q       Max 
-2.331754 -0.294114  0.001475  0.263843  1.678532 

Coefficients:
            Estimate Std. Error t value Pr(>|t|)    
(Intercept) 0.859166   0.091630   9.376  < 2e-16 ***
unionUnion  0.305129   0.041800   7.300 1.02e-12 ***
ed          0.058122   0.006952   8.361 4.44e-16 ***
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.4481 on 547 degrees of freedom
Multiple R-Squared: 0.1673,	Adjusted R-squared: 0.1642 
F-statistic: 54.93 on 2 and 547 degrees of freedom,	p-value:     0 

> exp(0.058)
[1] 1.059715
> exp(0.305129)
[1] 1.3568
> # Union members have 36 percent higher wages
> # The test whether union and nonunion members have the same intercept
> # is the same as the test whether the union dummy is 0.
> # t-value = 7.300 which is highly significant,
> # i.e., they are different.

> #The union variable is labeled unionUnion, because
> #it is labeled 1 for Union and 0 for Nonun. Check with the command
> contrasts(cps78$union)
      Union 
Nonun     0
Union     1
> #One sees it also if one runs
> model.matrix(lnwage ~ union + ed, data=cps78)
   (Intercept) union ed 
 1           1     0 12
 2           1     1 12
 3           1     1  6
 4           1     1 12
 5           1     0 12
> #etc, rest of output flushed
> #and compares this with
> cps78$union[1:5]
[1] Nonun Union Union Union Nonun
Levels:  Nonun Union
> #Consequently, the intercept for nonunion is 0.8592
> #and the intercept for union is 0.8592+0.3051=1.1643.
> #Can I have a different set of dummies constructed from this factor?
> #We will first do
> ##Exercise 2e (2 points)
> contrasts(union)<-matrix(c(1,0),nrow=2,ncol=1)
> #This generates a new contrast matrix
> #which covers up that in cps78
> #Note that I do not say "data=cps78" in the next command:
> summary(lm(lnwage ~ union + ed))

Call:
lm(formula = lnwage ~ union + ed)

Residuals:
      Min        1Q    Median        3Q       Max 
-2.331754 -0.294114  0.001475  0.263843  1.678532 

Coefficients:
             Estimate Std. Error t value Pr(>|t|)    
(Intercept)  1.164295   0.090453  12.872  < 2e-16 ***
union1      -0.305129   0.041800  -7.300 1.02e-12 ***
ed           0.058122   0.006952   8.361 4.44e-16 ***
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.4481 on 547 degrees of freedom
Multiple R-Squared: 0.1673,	Adjusted R-squared: 0.1642 
F-statistic: 54.93 on 2 and 547 degrees of freedom,	p-value:     0 

> #Here the coefficients are different,
> #but it is consistent with the above result.
> ##Ecercise 2c (2 points):  If I want to have two contrasts from this one dummy, I have to do
> contrasts(union,2)<-matrix(c(1,0,0,1),nrow=2,ncol=2)
> #The additional argument 2
> #specifies different number of contrasts than it expects
> #Now I have to supress the intercept in the regression
> summary(lm(lnwage ~ union + ed - 1))

Call:
lm(formula = lnwage ~ union + ed - 1)

Residuals:
      Min        1Q    Median        3Q       Max 
-2.331754 -0.294114  0.001475  0.263843  1.678532 

Coefficients:
       Estimate Std. Error t value Pr(>|t|)    
union1 0.859166   0.091630   9.376  < 2e-16 ***
union2 1.164295   0.090453  12.872  < 2e-16 ***
ed     0.058122   0.006952   8.361 4.44e-16 ***
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.4481 on 547 degrees of freedom
Multiple R-Squared: 0.9349,	Adjusted R-squared: 0.9345 
F-statistic:  2617 on 3 and 547 degrees of freedom,	p-value:     0 

> #actually it was unnecessary to construct the contrast matrix.
> #If we regress with a categorical variable without
> #an intercept, R will automatically use dummies for all levels:
> lm(lnwage ~ union + ed - 1, data=cps85)

Call:
lm(formula = lnwage ~ union + ed - 1, data = cps85)

Coefficients:
unionNonunion     unionUnion             ed  
       0.9926         1.2909         0.0778  


> ##Exercise 2d (1 point) Why is it not possible to include two dummies plus
> # an intercept?  Because the two dummies add to 1,
> # you have perfect collinearity


> ###Exercise 3a (2 points):
> summary(lm(lnwage ~ ed + ex + I(ex^2), data=cps78))
> #All coefficients are highly significant, but the R^2 is only 0.2402
> #Returns to experience are positive and decline with increase in experience
> ##Exercise 3b (2 points):
> summary(lm(lnwage ~ gender + ed + ex + I(ex^2), data=cps78))
> contrasts(cps78$gender)
> #We see here that gender is coded 0 for female and 1 for male;
> #by default, the levels in a factor variable occur in alphabetical order.
> #Intercept in our regression = 0.1909203 (this is for female),
> #genderMale has coefficient = 0.3351771,
> #i.e., the intercept for women is 0.5260974
> #Gender is highly significant
> ##Exercise 3c (2 points):
> summary(lm(lnwage ~ gender + marr + ed + ex + I(ex^2), data=cps78))
> #Coefficient of marr in this is insignificant
> ##Exercise 3d (1 point) asks to construct a variable which we do
> #not need when we use factor variables
> ##Exercise 3e (3 points): For interaction term do
> summary(lm(lnwage ~ gender * marr + ed + ex + I(ex^2), data=cps78))

Call:
lm(formula = lnwage ~ gender * marr + ed + ex + I(ex^2), data = cps78)

Residuals:
     Min       1Q   Median       3Q      Max 
-2.45524 -0.24566  0.01969  0.23102  1.42437 

Coefficients:
                        Estimate Std. Error t value Pr(>|t|)    
(Intercept)            0.1893919  0.1042613   1.817  0.06984 .  
genderMale             0.3908782  0.0467018   8.370 4.44e-16 ***
marrSingle             0.0507811  0.0557198   0.911  0.36251    
ed                     0.0738640  0.0066154  11.165  < 2e-16 ***
ex                     0.0265297  0.0049741   5.334 1.42e-07 ***
I(ex^2)               -0.0003161  0.0001057  -2.990  0.00291 ** 
genderMale:marrSingle -0.1586452  0.0750830  -2.113  0.03506 *  
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3959 on 543 degrees of freedom
Multiple R-Squared: 0.3547,	Adjusted R-squared: 0.3476 
F-statistic: 49.75 on 6 and 543 degrees of freedom,	p-value:     0 

> #Being married raises the wage for men by 13% but lowers it for women by 3%
> ###Exercise 4a (5 points):
> summary(lm(lnwage ~ union + gender + race + ed + ex + I(ex^2), data=cps78))

Call:
lm(formula = lnwage ~ union + gender + race + ed + ex + I(ex^2), 
    data = cps78)

Residuals:
     Min       1Q   Median       3Q      Max 
-2.41914 -0.23674  0.01682  0.21821  1.31584 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept)  0.1549723  0.1068589   1.450  0.14757    
unionUnion   0.2071429  0.0368503   5.621 3.04e-08 ***
genderMale   0.3060477  0.0344415   8.886  < 2e-16 ***
raceNonwh   -0.1301175  0.0830156  -1.567  0.11761    
raceOther    0.0271477  0.0688277   0.394  0.69342    
ed           0.0746097  0.0066521  11.216  < 2e-16 ***
ex           0.0261914  0.0047174   5.552 4.43e-08 ***
I(ex^2)     -0.0003082  0.0001015  -3.035  0.00252 ** 
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3845 on 542 degrees of freedom
Multiple R-Squared: 0.3924,	Adjusted R-squared: 0.3846 
F-statistic: 50.01 on 7 and 542 degrees of freedom,	p-value:     0 

> exp(-0.1301175)
[1] 0.8779923

> #Being Hispanic lowers wages by 2.7%, byut being black lowers them
> #by 12.2 %

> #At what level of ex is lnwage maximized?
> #exeffect = 0.0261914 * ex -0.0003082 * ex^2
> #derivative =  0.0261914 - 2 * 0.0003082 * ex
> #derivative = 0 for ex=0.0261914/(2*0.0003082)

> 0.0261914/(2*0.0003082)
[1] 42.49091

> # age - ed - 6 =  42.49091
> # age = ed +  48.49091
> # for 8, 12, and 16 years of schooling the max earnings
> # are at ages 56.5, 60.5, and 64.5 years
> ##Exercise 4b (4 points) is a graph, not done here
> ##Exercise 4c (5 points)
> summary(lm(lnwage ~ gender + union + race + ed + ex + I(ex^2) + I(ed*ex), data=cps78))

Call:
lm(formula = lnwage ~ gender + union + race + ed + ex + I(ex^2) + 
    I(ed * ex), data = cps78)

Residuals:

     Min       1Q   Median       3Q      Max 
-2.41207 -0.23922  0.01463  0.21645  1.32051 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept)  0.0396495  0.1789073   0.222 0.824693    
genderMale   0.3042639  0.0345241   8.813  < 2e-16 ***
unionUnion   0.2074045  0.0368638   5.626 2.96e-08 ***
raceNonwh   -0.1323898  0.0830908  -1.593 0.111673    
raceOther    0.0319829  0.0691124   0.463 0.643718    
ed           0.0824154  0.0117716   7.001 7.55e-12 ***
ex           0.0328854  0.0095716   3.436 0.000636 ***
I(ex^2)     -0.0003574  0.0001186  -3.013 0.002704 ** 
I(ed * ex)  -0.0003813  0.0004744  -0.804 0.421835    
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3846 on 541 degrees of freedom
Multiple R-Squared: 0.3932,	Adjusted R-squared: 0.3842 
F-statistic: 43.81 on 8 and 541 degrees of freedom,	p-value:     0 
> #Maximum earnings ages must be computed as before

> ##Exercise 4d (4 points) not done here
> ##Exercise 4e (6 points) not done here
> ###Exercise 5a (3 points):
> #Naive approach to estimate impact of unionization on wages:
> summary(lm(lnwage ~ gender + union + race + ed + ex + I(ex^2), data=cps78))

Call:
lm(formula = lnwage ~ gender + union + race + ed + ex + I(ex^2), 
    data = cps78)

Residuals:
     Min       1Q   Median       3Q      Max 
-2.41914 -0.23674  0.01682  0.21821  1.31584 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept)  0.1549723  0.1068589   1.450  0.14757    
genderMale   0.3060477  0.0344415   8.886  < 2e-16 ***
unionUnion   0.2071429  0.0368503   5.621 3.04e-08 ***
raceNonwh   -0.1301175  0.0830156  -1.567  0.11761    
raceOther    0.0271477  0.0688277   0.394  0.69342    
ed           0.0746097  0.0066521  11.216  < 2e-16 ***
ex           0.0261914  0.0047174   5.552 4.43e-08 ***
I(ex^2)     -0.0003082  0.0001015  -3.035  0.00252 ** 
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3845 on 542 degrees of freedom
Multiple R-Squared: 0.3924,	Adjusted R-squared: 0.3846 
F-statistic: 50.01 on 7 and 542 degrees of freedom,	p-value:     0 

> # What is wrong with the above?  It assumes that unions
> # only affect the intercept, everything else is the same
> ##Exercise 5b (2 points)

> tapply(lnwage, union, mean)
   Nonun    Union 
1.600901 1.863137 
> tapply(ed, union, mean)
   Nonun    Union 
12.76178 12.02381 
> table(gender, union)
        union
gender   Nonun Union
  Female   159    48
  Male     223   120
> table(race, union)
       union
race    Nonun Union
  Hisp     29     7
  Nonwh    35    22
  Other   318   139
> 7/(7+29)
[1] 0.1944444
> 22/(22+35)
[1] 0.3859649
> 139/(318+139)
[1] 0.3041575
> #19% of Hispanic, 39% of Nonwhite, and 30% of other (white) workers
> #in the sample are in unions
> ##Exercise 5c (3 points)
> summary(lm(lnwage ~ gender + race + ed + ex + I(ex^2), data=cps78, subset=union == "Union"))

Call:
lm(formula = lnwage ~ gender + race + ed + ex + I(ex^2), data = cps78, 
    subset = union == "Union")

Residuals:
    Min      1Q  Median      3Q     Max 
-2.3307 -0.1853  0.0160  0.2199  1.1992 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept)  0.9261456  0.2321964   3.989 0.000101 ***
genderMale   0.2239370  0.0684894   3.270 0.001317 ** 
raceNonwh   -0.3066717  0.1742287  -1.760 0.080278 .  
raceOther   -0.0741660  0.1562131  -0.475 0.635591    
ed           0.0399500  0.0138311   2.888 0.004405 ** 
ex           0.0313820  0.0098938   3.172 0.001814 ** 
I(ex^2)     -0.0004526  0.0002022  -2.239 0.026535 *  
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3928 on 161 degrees of freedom
Multiple R-Squared: 0.2019,	Adjusted R-squared: 0.1721 
F-statistic: 6.787 on 6 and 161 degrees of freedom,	p-value: 1.975e-06 

> summary(lm(lnwage ~ gender + race + ed + ex + I(ex^2), data=cps78, subset=union == "Nonun"))

Call:
lm(formula = lnwage ~ gender + race + ed + ex + I(ex^2), data = cps78, 
    subset = union == "Nonun")

Residuals:
     Min       1Q   Median       3Q      Max 
-1.39107 -0.23775  0.01040  0.23337  1.29073 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept) -0.0095668  0.1193399  -0.080   0.9361    
genderMale   0.3257661  0.0397961   8.186 4.22e-15 ***
raceNonwh   -0.0652018  0.0960570  -0.679   0.4977    
raceOther    0.0444133  0.0761628   0.583   0.5602    
ed           0.0852212  0.0075554  11.279  < 2e-16 ***
ex           0.0253813  0.0053710   4.726 3.25e-06 ***
I(ex^2)     -0.0002841  0.0001187  -2.392   0.0172 *  
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3778 on 375 degrees of freedom
Multiple R-Squared: 0.4229,	Adjusted R-squared: 0.4137 
F-statistic:  45.8 on 6 and 375 degrees of freedom,	p-value:     0 

> #Are union-nonunion differences larger for females than males?
> #For this look at the intercepts for males and females in
> #the two regressions.  Say for white males and females:
> 0.9261456-0.0741660+0.2239370
[1] 1.075917
> 0.9261456-0.0741660
[1] 0.8519796
> -0.0095668+0.0444133+0.3257661
[1] 0.3606126
> -0.0095668+0.0444133
[1] 0.0348465
> 1.075917-0.3606126
[1] 0.7153044
> 0.8519796-0.0348465
[1] 0.8171331
> 

>                #White Males     White Females
> #Union          1.075917        0.8519796
> #Nonunion       0.3606126       0.0348465
> #Difference     0.7153044       0.8171331
> #Difference is greater for women
> ###Exercise 6a (5 points)
> summary(lm(lnwage ~ gender + union + race + ed + ex + I(ex^2)))

Call:
lm(formula = lnwage ~ gender + union + race + ed + ex + I(ex^2))

Residuals:
     Min       1Q   Median       3Q      Max 
-2.41914 -0.23674  0.01682  0.21821  1.31584 

Coefficients:
              Estimate Std. Error t value Pr(>|t|)    
(Intercept)  0.1549723  0.1068589   1.450  0.14757    
genderMale   0.3060477  0.0344415   8.886  < 2e-16 ***
unionUnion   0.2071429  0.0368503   5.621 3.04e-08 ***
raceNonwh   -0.1301175  0.0830156  -1.567  0.11761    
raceOther    0.0271477  0.0688277   0.394  0.69342    
ed           0.0746097  0.0066521  11.216  < 2e-16 ***
ex           0.0261914  0.0047174   5.552 4.43e-08 ***
I(ex^2)     -0.0003082  0.0001015  -3.035  0.00252 ** 
---
Signif. codes:  0  `***'  0.001  `**'  0.01  `*'  0.05  `.'  0.1  ` '  1 

Residual standard error: 0.3845 on 542 degrees of freedom
Multiple R-Squared: 0.3924,	Adjusted R-squared: 0.3846 
F-statistic: 50.01 on 7 and 542 degrees of freedom,	p-value:     0 

> #To test whether Nonwh and Hisp have same intercept
> #one might generate a contrast matrix which collapses those
> #two and then run it and make an F-test
> #or make a contrast matrix which has this difference as one of
> #the dummies and use the t-test for that dummy
> ##Exercise 6b (2 points)
> table(race)
race
 Hisp Nonwh Other 
   36    57   457 
> tapply(lnwage, race, mean)
    Hisp    Nonwh    Other 
1.529647 1.513404 1.713829 
> tapply(lnwage, race, ed)
Error in get(x, envir, mode, inherits) : variable "ed" was not found
> tapply(ed, race, mean)
    Hisp    Nonwh    Other 
10.30556 11.71930 12.81400 
> table(gender, race)
        race
gender   Hisp Nonwh Other
  Female   12    28   167
  Male     24    29   290
> #Blacks, almost as many women than men, hispanic twice as many men,
> #Whites in between

>  
> #Additional stuff:
> #There are two outliers in cps78 with wages of less than $1 per hour,
> #Both service workers, perhaps waitresses who did not report her tips?
> #What are the commands for extracting certain observations
> #by certain criteria and just print them?  The split command.
>
> #Interesting to do
> loess(lnwage ~ ed + ex, data=cps78)
> #loess is appropriate here because there are strong interation terms
> #How can one do loess after taking out the effects of gender for instance?
> #Try the following, but I did not try it out yet:
> gam(lnwage ~ lo(ed,ex) + gender, data=cps78)
> #I should put more plotting commands in!
